WASM-TOOLS(1)

NAME
wasm-tools component - WebAssembly wit-based component tooling

SYNOPSIS
wasm-tools component <COMMAND>

DESCRIPTION
WebAssembly wit-based component tooling

  Commands:

new WebAssembly component encoder from an input core wasm binary

wit Tool for working with the WIT text format for components

embed
    Embeds metadata for a component inside of a core wasm module

targets
    Tool for verifying whether a component conforms to a world

link
    Link one or more dynamic library modules, producing a component

semver-check
    Tool for verifying whether one world is a semver compatible evolution of another

unbundle
    Unbundled core wasm modules from a component, switching them from being embedded to being imported

help
    Print this message or the help of the given subcommand(s)

OPTIONS

-h, --help
    Print help